package com.jiuqi.syntax;

package .tmp;

import com.jiuqi.syntax.CommonData;
import java.math.BigDecimal;

class null extends CommonData.DataOperator {
  public int compare(CommonData v1, CommonData v2, double delta) {
    if (v1.cdDecimal == null || v2.cdDecimal == null)
      return 255; 
    if (delta == 0.0D)
      delta = 1.0E-5D; 
    BigDecimal comResult = v1.cdDecimal.subtract(v2.cdDecimal);
    if (comResult.abs().compareTo(new BigDecimal(delta)) < 0)
      return 0; 
    if (comResult.signum() > 0)
      return 1; 
    return -1;
  }
}
